/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence;

import com.topcoder.document.index.persistence.impl.PersistenceConfigurationExceptionTest;
import com.topcoder.document.index.persistence.impl.db.AbstractDBIndexPersistenceTest;
import com.topcoder.document.index.persistence.impl.db.FastAccessDBIndexPersistenceTest;
import com.topcoder.document.index.persistence.impl.db.SimpleAccessDBIndexPersistenceTest;
import com.topcoder.document.index.persistence.impl.xml.XmlIndexPersistenceTest;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * <p>
 * This test case aggregates all Unit test cases.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class UnitTests extends TestCase {
    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTest(DemoTest.suite());
        suite.addTest(PersistenceConfigurationExceptionTest.suite());
        suite.addTest(AbstractDBIndexPersistenceTest.suite());
        suite.addTest(FastAccessDBIndexPersistenceTest.suite());
        suite.addTest(SimpleAccessDBIndexPersistenceTest.suite());
        suite.addTest(XmlIndexPersistenceTest.suite());
        return suite;
    }
}
